package com.ssj.service.kmt.correctsys.request;

import com.ssj.bean.common.framework.core.domain.BaseRequest;
import io.swagger.annotations.ApiModelProperty;

/**
 * @author Mount Liu
 * @date 2019/5/21
 */
public class CorrectCheckReq extends BaseRequest {

    private final static long serialVersionUID = 1L;

    @ApiModelProperty(name = "homeworkPicId", value = "作业图片id", required = true)
    private String homeworkPicId;
    @ApiModelProperty(name = "reason", value = "原因", required = true)
    private String reason;
    @ApiModelProperty(name = "type", value = "1:通过，2：批改错误", required = true)
    private int type;
    @ApiModelProperty(name = "teacherType", value = "8:批改老师 13：匹配知识点老师", required = true)
    private int teacherType = 8;

    public String getHomeworkPicId() {
        return homeworkPicId;
    }

    public void setHomeworkPicId(String homeworkPicId) {
        this.homeworkPicId = homeworkPicId;
    }

    public String getReason() {
        return reason;
    }

    public void setReason(String reason) {
        this.reason = reason;
    }

    public int getType() {
        return type;
    }

    public void setType(int type) {
        this.type = type;
    }

    public int getTeacherType() {
        return teacherType;
    }

    public void setTeacherType(int teacherType) {
        this.teacherType = teacherType;
    }
}
